#language: ru

@SalesOfProductsRLS

Функционал: 000. SalesOfProductsRLS. Установка функциональных опций

Сценарий: 000.1. SalesOfProductsRLS. Установка времени начала блока тестов

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "16.SalesOfProductsRLS"
	Дано я устанавливаю текущему сеансу заголовок приложения "16.000. РЛС Реализация товаров"
	И Я устанавливаю время начала блока тестов

Сценарий: 000.2. SalesOfProductsRLS. Установка функциональных опций

	И Я читаю лицензию "Заказы.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Маркировка" равен "Да"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Обработка заказов клиента" равен "Да"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Приемка сырья" равен "Нет"
	И флаг "Приемка сырья (молочное)" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "Складская логистика" равен "Да"
	И флаг "Транспортная логистика" равен "Да"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Нет"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. SalesOfProductsRLS. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ведение контрагентов
		И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
		И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	* Ведение НСИ транспортной логистики
		И Я создаю группу доступа "Ведение НСИ транспортной логистики" с профилем "Ведение НСИ транспортной логистики"
		И Я создаю пользователя "Ведение НСИ транспортной логистики" с профилями "Базовый профиль;Ведение НСИ транспортной логистики"
	* Ценообразование
		И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
		И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"
	* Основной менеджер
		И Я создаю пользователя "Основной менеджер" с профилями "Базовый профиль"
	* Формирование накладных РЛС (Сырная ГП)
		И Я создаю группу доступа "Формирование накладных РЛС (Сырная ГП)" с профилем "Формирование накладных на неавтоматизированных складах"
		И Я создаю пользователя "Формирование накладных РЛС (Сырная ГП)" с профилями "Базовый профиль;Формирование накладных РЛС (Сырная ГП)"
	* Формирование накладных РЛС (Куриная ГП)
		И Я создаю группу доступа "Формирование накладных РЛС (Куриная ГП)" с профилем "Формирование накладных на неавтоматизированных складах"
		И Я создаю пользователя "Формирование накладных РЛС (Куриная ГП)" с профилями "Базовый профиль;Формирование накладных РЛС (Куриная ГП)"
	* Создание заказов клиентов РЛС
		И Я создаю группу доступа "Создание заказов клиентов РЛС" с профилем "Создание заказов клиентов"
		И Я создаю пользователя "Создание заказов клиентов РЛС" с профилями "Базовый профиль;Создание заказов клиентов РЛС"
	* Создание планов отгрузки РЛС (Сырная ГП)
		И Я создаю группу доступа "Создание планов отгрузки РЛС (Сырная ГП)" с профилем "Создание планов отгрузки"
		И Я создаю пользователя "Создание планов отгрузки РЛС (Сырная ГП)" с профилями "Базовый профиль;Создание планов отгрузки РЛС (Сырная ГП)"
	* Создание планов отгрузки РЛС (Куриная ГП)
		И Я создаю группу доступа "Создание планов отгрузки РЛС (Куриная ГП)" с профилем "Создание планов отгрузки"
		И Я создаю пользователя "Создание планов отгрузки РЛС (Куриная ГП)" с профилями "Базовый профиль;Создание планов отгрузки РЛС (Куриная ГП)"
	* Создание заданий на доставку РЛС
		И Я создаю группу доступа "Создание заданий на доставку РЛС" с профилем "Создание заданий на доставку"
		И Я создаю пользователя "Создание заданий на доставку РЛС" с профилями "Базовый профиль;Создание заданий на доставку РЛС"